variable "resource_prefix" {
  description = "An identifier for creating resources"
}

variable "bucket" {
  description = "The website bucket name"
}

variable "certificate_arn" {
  description = "The website certificate ARN for HTTPS"
}

variable "hostname" {
  description = "The website hostname to put in CNAME"
}

variable "index_deployer_lambda_name" {
  description = "Name of lambda function deploying correct S3 keys uppon index.html creation"
}

variable "index_deployer_lambda_arn" {
  description = "ARN of lambda function deploying correct S3 keys uppon index.html creation"
}

variable "index_deployer_lambda_role_name" {
  description = "Role name to attach permission from deployed S3 website"
}
